#ifndef OPENGLTEXTURE_HPP
#define OPENGLTEXTURE_HPP

#include <epoxy/gl.h>

class OpenGlTexture
{
	public:
		OpenGlTexture();
		OpenGlTexture(const OpenGlTexture &tex) = delete;
		OpenGlTexture(const OpenGlTexture &&tex) = delete;
		~OpenGlTexture();
		void setRGBDataFromBytes(unsigned int width, unsigned int height, char *buffer);
		void use(unsigned int slot);
		void use();

	protected:
		GLuint texture;

};

#endif // OPENGLTEXTURE_HPP
